export declare const enum UnicodeCategory {
    Control = 14,
    Format = 15,
    OtherNotAssigned = 29,
    PrivateUse = 17,
    Surrogate = 16,
    LowercaseLetter = 1,
    ModifierLetter = 3,
    OtherLetter = 4,
    TitlecaseLetter = 2,
    UppercaseLetter = 0,
    SpacingCombiningMark = 6,
    EnclosingMark = 7,
    NonSpacingMark = 5,
    DecimalDigitNumber = 8,
    LetterNumber = 9,
    OtherNumber = 10,
    ConnectorPunctuation = 18,
    DashPunctuation = 19,
    ClosePunctuation = 21,
    FinalQuotePunctuation = 23,
    InitialQuotePunctuation = 22,
    OtherPunctuation = 24,
    OpenPunctuation = 20,
    CurrencySymbol = 26,
    ModifierSymbol = 27,
    MathSymbol = 25,
    OtherSymbol = 28,
    LineSeparator = 12,
    ParagraphSeparator = 13,
    SpaceSeparator = 11
}
export declare const getUnicodeCategory: (s: string) => number;
export declare const isControl: (s: string) => boolean;
export declare const isDigit: (s: string) => boolean;
export declare const isLetter: (s: string) => boolean;
export declare const isLetterOrDigit: (s: string) => boolean;
export declare const isUpper: (s: string) => boolean;
export declare const isLower: (s: string) => boolean;
export declare const isNumber: (s: string) => boolean;
export declare const isPunctuation: (s: string) => boolean;
export declare const isSeparator: (s: string) => boolean;
export declare const isSymbol: (s: string) => boolean;
export declare const isWhiteSpace: (s: string) => boolean;
export declare const isHighSurrogate: (s: string) => boolean;
export declare const isLowSurrogate: (s: string) => boolean;
export declare const isSurrogate: (s: string) => boolean;
export declare function getUnicodeCategory2(s: string, index: number): number;
export declare function isControl2(s: string, index: number): boolean;
export declare function isDigit2(s: string, index: number): boolean;
export declare function isLetter2(s: string, index: number): boolean;
export declare function isLetterOrDigit2(s: string, index: number): boolean;
export declare function isUpper2(s: string, index: number): boolean;
export declare function isLower2(s: string, index: number): boolean;
export declare function isNumber2(s: string, index: number): boolean;
export declare function isPunctuation2(s: string, index: number): boolean;
export declare function isSeparator2(s: string, index: number): boolean;
export declare function isSymbol2(s: string, index: number): boolean;
export declare function isWhiteSpace2(s: string, index: number): boolean;
export declare function isHighSurrogate2(s: string, index: number): boolean;
export declare function isLowSurrogate2(s: string, index: number): boolean;
export declare function isSurrogate2(s: string, index: number): boolean;
export declare function isSurrogatePair(s: string, index: string | number): boolean;
export declare function parse(input: string): string;
