import Decimal from "./lib/big";
export default Decimal;
export declare const get_Zero: Decimal;
export declare const get_One: Decimal;
export declare const get_MinusOne: Decimal;
export declare const get_MaxValue: Decimal;
export declare const get_MinValue: Decimal;
export declare function compare(x: Decimal, y: Decimal): import("./lib/big").Comparison;
export declare function equals(x: Decimal, y: Decimal): boolean;
export declare function abs(x: Decimal): Decimal;
export declare function round(x: Decimal, digits?: number): Decimal;
export declare function truncate(x: Decimal): Decimal;
export declare function ceiling(x: Decimal): Decimal;
export declare function floor(x: Decimal): Decimal;
export declare function pow(x: Decimal, n: number): Decimal;
export declare function sqrt(x: Decimal): Decimal;
export declare function op_Addition(x: Decimal, y: Decimal): Decimal;
export declare function op_Subtraction(x: Decimal, y: Decimal): Decimal;
export declare function op_Multiply(x: Decimal, y: Decimal): Decimal;
export declare function op_Division(x: Decimal, y: Decimal): Decimal;
export declare function op_Modulus(x: Decimal, y: Decimal): Decimal;
export declare function op_UnaryNegation(x: Decimal): Decimal;
export declare const add: typeof op_Addition;
export declare const subtract: typeof op_Subtraction;
export declare const multiply: typeof op_Multiply;
export declare const divide: typeof op_Division;
export declare const remainder: typeof op_Modulus;
export declare const negate: typeof op_UnaryNegation;
export declare function toString(x: Decimal): string;
export declare function tryParse(str: string): [boolean, Decimal];
export declare function parse(str: string): Decimal;
export declare function toNumber(x: Decimal): number;
export declare function fromIntArray(bits: number[]): Decimal;
export declare function fromInts(low: number, mid: number, high: number, signExp: number): Decimal;
export declare function fromParts(low: number, mid: number, high: number, isNegative: boolean, scale: number): Decimal;
export declare function getBits(d: Decimal): number[];
export declare function makeRangeStepFunction(step: Decimal, last: Decimal): (x: Decimal) => Decimal[] | null;
