import * as Long from "./lib/long";
declare const _default: typeof Long.Long;
export default _default;
export declare type Long = Long.Long;
export declare const get_Zero: Long.Long;
export declare const get_One: Long.Long;
export declare const op_Addition: typeof Long.add;
export declare const op_Subtraction: typeof Long.subtract;
export declare const op_Multiply: typeof Long.multiply;
export declare const op_Division: typeof Long.divide;
export declare const op_Modulus: typeof Long.modulo;
export declare const op_UnaryNegation: typeof Long.negate;
export declare const op_LeftShift: typeof Long.shiftLeft;
export declare const op_RightShift: typeof Long.shiftRight;
export declare const op_RightShiftUnsigned: typeof Long.shiftRightUnsigned;
export declare const op_BitwiseAnd: typeof Long.and;
export declare const op_BitwiseOr: typeof Long.or;
export declare const op_ExclusiveOr: typeof Long.xor;
export declare const op_LogicalNot: typeof Long.not;
export declare const op_LessThan: typeof Long.lessThan;
export declare const op_LessThanOrEqual: typeof Long.lessThanOrEqual;
export declare const op_GreaterThan: typeof Long.greaterThan;
export declare const op_GreaterThanOrEqual: typeof Long.greaterThanOrEqual;
export declare const op_Equality: typeof Long.equals;
export declare const op_Inequality: typeof Long.notEquals;
export declare const equals: typeof Long.equals;
export declare const compare: typeof Long.compare;
export declare const fromInt: typeof Long.fromInt;
export declare const fromBits: typeof Long.fromBits;
export declare const fromBytes: typeof Long.fromBytes;
export declare const fromNumber: typeof Long.fromNumber;
export declare const fromString: typeof Long.fromString;
export declare const fromValue: typeof Long.fromValue;
export declare const toInt: typeof Long.toInt;
export declare const toBytes: typeof Long.toBytes;
export declare const toNumber: typeof Long.toNumber;
export declare const toString: typeof Long.toString;
export declare const getLowBits: typeof Long.getLowBits;
export declare const getHighBits: typeof Long.getHighBits;
export declare const getLowBitsUnsigned: typeof Long.getLowBitsUnsigned;
export declare const getHighBitsUnsigned: typeof Long.getHighBitsUnsigned;
export declare function abs(x: Long): Long.Long;
export declare function fromInteger(value: number, unsigned?: boolean, kind?: number): Long.Long;
export declare function parse(str: string, style: number, unsigned: boolean, _bitsize: number, radix?: number): Long.Long;
export declare function tryParse(str: string, style: number, unsigned: boolean, bitsize: number): (boolean | Long.Long)[];
export declare function unixEpochMillisecondsToTicks(ms: number, offset: number): Long.Long;
export declare function ticksToUnixEpochMilliseconds(ticks: Long): number;
export declare function makeRangeStepFunction(step: Long, last: Long, unsigned: boolean): (x: Long.Long) => Long.Long[] | null;
