import { IAsync } from "./AsyncBuilder";
import { Continuation } from "./AsyncBuilder";
import { CancellationToken } from "./AsyncBuilder";
declare class MailboxQueue<Msg> {
    private firstAndLast?;
    add(message: Msg): void;
    tryGet(): Msg | undefined;
}
export declare type MailboxBody<Msg> = (m: MailboxProcessor<Msg>) => IAsync<void>;
export interface AsyncReplyChannel<Reply> {
    reply: (r: Reply) => void;
}
export default class MailboxProcessor<Msg> {
    body: MailboxBody<Msg>;
    cancellationToken: CancellationToken;
    messages: MailboxQueue<Msg>;
    continuation?: Continuation<Msg>;
    constructor(body: MailboxBody<Msg>, cancellationToken?: CancellationToken);
}
export declare function startInstance<Msg>($this: MailboxProcessor<Msg>): void;
export declare function receive<Msg>($this: MailboxProcessor<Msg>): (ctx: import("./AsyncBuilder").IAsyncContext<Msg>) => void;
export declare function post<Msg>($this: MailboxProcessor<Msg>, message: Msg): void;
export declare function postAndAsyncReply<Reply, Msg>($this: MailboxProcessor<Msg>, buildMessage: (c: AsyncReplyChannel<Reply>) => Msg): (ctx: import("./AsyncBuilder").IAsyncContext<Reply>) => void;
export declare function start<Msg>(body: MailboxBody<Msg>, cancellationToken?: CancellationToken): MailboxProcessor<Msg>;
export {};
