import { Union } from "./Types";
export declare type Option<T> = T | Some<T> | null;
export declare class Some<T> {
    value: T | null;
    constructor(value: T | null);
    toString(): string;
    toJSON(): T | null;
    GetHashCode(): number;
    Equals(other: Option<T>): boolean;
    CompareTo(other: Option<T>): number;
}
export declare function some<T>(x: T | null): Option<T>;
export declare function value<T>(x: Option<T>, acceptNull?: boolean): T | null;
export declare function defaultArg<T>(arg: Option<T>, defaultValue: T, f?: (arg0: T | null) => T): T | null;
export declare function defaultArgWith<T>(arg: Option<T>, defThunk: () => T): T | null;
export declare function filter<T>(predicate: (arg0: T | null) => boolean, arg: Option<T>): Option<T>;
export declare function map<T, U>(f: (arg0: T | null) => U, arg: Option<T>): Option<U>;
export declare function mapMultiple<T>(predicate: (...args: T[]) => boolean, ...args: T[]): boolean | null;
export declare function bind<T, U>(f: (arg0: T | null) => Option<U>, arg: Option<T>): Option<U>;
export declare function tryOp<T, U>(op: (x: T) => U, arg: T): Option<U>;
export declare type Choice<T, U> = Union;
export declare const Choice: any;
export declare function choice1<T, U>(x: T | U): Choice<T, U>;
export declare function choice2<T, U>(x: T | U): Choice<T, U>;
export declare function tryValueIfChoice1<T, U>(x: Choice<T, U>): Option<T>;
export declare function tryValueIfChoice2<T, U>(x: Choice<T, U>): Option<U>;
export declare type Result<T, U> = Union;
export declare const Result: any;
export declare function ok<T, U>(x: T | U): Result<T, U>;
export declare function error<T, U>(x: T | U): Result<T, U>;
export declare function mapOk<T, U>(f: (arg: T) => T, result: Result<T, U>): Union;
export declare function mapError<T, U>(f: (arg: U) => U, result: Result<T, U>): Union;
export declare function bindOk<T, U>(f: (arg: T) => Result<T, U>, result: Result<T, U>): Union;
