export declare function declare(cons: any, superClass?: any): any;
export interface IComparable {
    CompareTo(other: any): number;
}
export interface SystemObject {
    Equals(other: any): boolean;
    GetHashCode(): number;
}
export declare function SystemObject(): void;
export interface List<T> extends SystemObject, IComparable, Iterable<T> {
    head?: T;
    tail?: List<T>;
}
export declare function List<T>(this: List<T>, head?: T, tail?: List<T>): void;
export interface Union extends SystemObject, IComparable {
    tag: number;
    name: string;
    fields: any[];
}
export declare function Union(this: Union, tag: number, name: string, ...fields: any[]): void;
export interface Record extends SystemObject, IComparable {
}
export declare function Record(): void;
export declare function anonRecord(o: any): any;
export interface FSharpRef extends Record {
    contents: any;
}
export declare const FSharpRef: any;
export interface Exception extends SystemObject {
    stack?: string;
    message?: string;
}
export declare const Exception: any;
export declare function isException(x: any): boolean;
export interface FSharpException extends Exception, IComparable {
}
export declare const FSharpException: any;
export interface MatchFailureException extends FSharpException {
    arg1: string;
    arg2: number;
    arg3: number;
}
export declare const MatchFailureException: any;
export declare const Attribute: any;
